Rest API
Similarity
POST /api/v1/ai/similarity
POST
/api/v1/ai/similarity
Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” x-api-key
required
string
Your API key from account settings.
x-user-email
required
string
The email address of your user.
x-account-id
required
string
The ID of your account. You can find this in the account settings.
x-website-id
required
string
The ID of the workspace you want to use.
Request Body required
Section titled “Request Body required ”object
query
required
The query you want to base the similarity search on.
string
segmentId
The segment to search within.
string
maxResults
integer
personalizationId
Optional personalization ID recorded against the search event.
string
Responses
Section titled “ Responses ”Array of similar content pages, ranked by relevance.
Array<object>
object
source
URL of the matched source page.
string format: uri
title
string
isPublic
boolean
Example
[ { "source": "https://unless.zendesk.com/agent/tickets/2", "title": "Test ticket (#2)", "isPublic": false }, { "source": "faq", "title": "What is the answer to everything and all?", "isPublic": false }]Invalid request parameters.